%define libidl_version 0.8.2-1
%define glib2_version 2.2.0

Summary: A high-performance CORBA Object Request Broker
Name: ORBit2
Version: 2.14.19
Release:    1%{?dist}
Source0: http://download.gnome.org/sources/ORBit2/2.14/%{name}-%{version}.tar.bz2
License: LGPL-2.0-or-later AND GPL-2.0-or-later
URL: http://www.gnome.org/projects/ORBit2
BuildRequires: make
BuildRequires: libIDL-devel >= %{libidl_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: pkgconfig >= 0.14
BuildRequires: libtool
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gtk-doc
BuildRequires: chrpath

Patch0: ORBit2-2.14.3-multilib.patch
Patch1: ORBit2-2.14.3-ref-leaks.patch
Patch2: ORBit2-make-j-safety.patch
Patch3: ORBit2-allow-deprecated.patch
Patch4: ORBit2-configure-c99.patch

%description
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker). It allows programs to
send requests and receive replies from other programs, regardless
of the locations of the two programs. CORBA is an architecture that
enables communication between program objects, regardless of the
programming language they're written in or the operating system they
run on.

You will need to install this package and ORBit-devel if you want to
write programs that use CORBA technology.

%package devel
Summary: Development libraries, header files and utilities for ORBit
Requires: %{name} = %{version}-%{release}
Requires: indent
Requires: libIDL-devel >= %{libidl_version}
Requires: glib2-devel >= %{glib2_version}
Requires: pkgconfig
Requires: automake
Conflicts: ORBit-devel <= 1:0.5.8

%description devel
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker) with support for the
C language.

This package contains the header files, libraries and utilities
necessary to write programs that use CORBA technology. If you want to
write such programs, you'll also need to install the ORBIT package.

%prep
%setup -q
%patch0 -p1 -b .multilib
%patch1 -p1 -b .ref-leaks
%patch2 -p1 -b .make-j
%patch3 -p1 -b .deprecated
%patch4 -p1

%build
%configure --disable-gtk-doc --enable-purify --disable-static --disable-rpath
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/ORBit-2.0/*.*a
rm -f %{buildroot}%{_libdir}/orbit-2.0/*.*a

%define wordsize %{__isa_bits}

mv %{buildroot}%{_includedir}/orbit-2.0/orbit/orbit-config.h \
   %{buildroot}%{_includedir}/orbit-2.0/orbit/orbit-config-%{wordsize}.h

cat >%{buildroot}%{_includedir}/orbit-2.0/orbit/orbit-config.h <<EOF



EOF

chrpath --delete %{buildroot}%{_libdir}/libORBitCosNaming-2.so.0.1.0
chrpath --delete %{buildroot}%{_libdir}/libORBit-imodule-2.so.0.0.0
chrpath --delete %{buildroot}%{_libdir}/orbit-2.0/Everything_module.so
chrpath --delete %{buildroot}%{_bindir}/ior-decode-2
chrpath --delete %{buildroot}%{_bindir}/typelib-dump


%files
%doc AUTHORS COPYING README TODO
%{_libdir}/*.so.*
%dir %{_libdir}/orbit-2.0
%{_libdir}/orbit-2.0/*.so*

%files devel
%{_libdir}/*.so
%{_libdir}/libname-server-2.a
%{_libdir}/pkgconfig/*
%{_bindir}/orbit-idl-2
%{_bindir}/typelib-dump
%{_bindir}/orbit2-config
%{_bindir}/ior-decode-2
%{_includedir}/*
%{_datadir}/aclocal/*
%{_datadir}/idl/orbit-2.0
%{_bindir}/linc-cleanup-sockets
%{_datadir}/gtk-doc

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.14.19-1
- initial build
